Index: trunk/ab5.0/abdev/abdev/RadToolsAndPropertyProc.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/RadToolsAndPropertyProc.cpp	(revision 763)
+++ trunk/ab5.0/abdev/abdev/RadToolsAndPropertyProc.cpp	(revision 828)
@@ -135,5 +135,7 @@
 				NULL,
 				BMPNUM_RADTOOLBAR,	/*ビットマップの個数*/
-				hResInst,(unsigned int)MAKEINTRESOURCE(IDR_CONTROL),CtrlToolBar,
+				nullptr,
+				reinterpret_cast<UINT_PTR>(ActiveBasic::Resource::LoadBitmapAlt(hResInst, IDR_CONTROL)),
+				CtrlToolBar,
 				(BMPNUM_RADTOOLBAR-1)+SEPNUM_RADTOOLBAR,	/*アイテムの個数*/
 				0,0,16,15,sizeof(TBBUTTON));
@@ -211,5 +213,5 @@
 	switch(message){
 		case WM_CREATE:
-			CreateDialog(hResInst,MAKEINTRESOURCE(IDD_RAD_CTRLBUTTONS),hwnd,(DLGPROC)RadToolButtonsProc);
+			ActiveBasic::Resource::CreateDialogAlt(hResInst, IDD_RAD_CTRLBUTTONS, hwnd, RadToolButtonsProc);
 			return 0;
 		case WM_VSCROLL:
@@ -679,5 +681,8 @@
 				case IDC_RENAMEWINDOW:
 					{
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_WINDOW_RENAME),hwnd,DlgRadProperty_Window_Rename)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_WINDOW_RENAME, hwnd, DlgRadProperty_Window_Rename))
+						{
+							return 1;
+						}
 						i=GetWndNum(GetParent(GetParent(hwnd)));
 						ActiveBasic::PM::WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i]->path);
@@ -688,5 +693,8 @@
 				case IDC_RENAMECAPTION:
 					{
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_RENAMECAPTION),hwnd,DlgRadProperty_Item_RenameCaption)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_RENAMECAPTION, hwnd, DlgRadProperty_Item_RenameCaption))
+						{
+							return 1;
+						}
 						i=GetWndNum(GetParent(GetParent(hwnd)));
 						ActiveBasic::PM::WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i]->path);
@@ -1073,5 +1081,8 @@
 
 				case IDC_EXSTYLE:
-					if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_WINDOW_EXSTYLE),hwnd,DlgRadProperty_Window_ExStyle)) return 1;
+					if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_WINDOW_EXSTYLE, hwnd, DlgRadProperty_Window_ExStyle))
+					{
+						return 1;
+					}
 					i=GetWndNum(GetParent(GetParent(hwnd)));
 					DrawRadWindow(i,GetWndInfo(MdiInfo[i]->path));
@@ -1305,9 +1316,15 @@
 	switch(LOWORD(wParam)){
 		case IDC_RENAMEID:
-			if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_RENAMEID),hwnd,DlgRadProperty_Item_RenameID)) return 1;
+			if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_RENAMEID, hwnd, DlgRadProperty_Item_RenameID))
+			{
+				return 1;
+			}
 			SetDlgItemText(hwnd,IDC_IDNAME,pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->GetName().c_str());
 			return 1;
 		case IDC_RENAMECAPTION:
-			if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_RENAMECAPTION),hwnd,DlgRadProperty_Item_RenameCaption)) return 1;
+			if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_RENAMECAPTION, hwnd, DlgRadProperty_Item_RenameCaption))
+			{
+				return 1;
+			}
 			SetDlgItemText(hwnd,IDC_CAPTION,pWindowInfo->childWindowInfos[MdiInfo[WndNum]->MdiRadInfo->SelectingItem[0]]->GetCaption().c_str());
 			return 1;
@@ -1634,5 +1651,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -1916,5 +1936,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -2168,5 +2191,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -2475,5 +2501,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -2610,5 +2639,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -2962,10 +2994,10 @@
 							if(pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[0]]->image.IsFile()){
 								if((pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[0]]->GetStyle()&0x000F)==SS_ICON){
-									extern LPSTR IconFileFilter;
+									extern const LPCSTR IconFileFilter;
 									//"アイコン ファイルを指定して下さい"
 									if(!GetFilePathDialog(hwnd,temporary,IconFileFilter,STRING_IMAGEBOXPROP_GETPATH_ICON,1)) return 1;
 								}
 								else if((pWindowInfo->childWindowInfos[MdiInfo[i]->MdiRadInfo->SelectingItem[0]]->GetStyle()&0x000F)==SS_BITMAP){
-									extern LPSTR BitmapFileFilter;
+									extern const LPCSTR BitmapFileFilter;
 									//"ビットマップ ファイルを指定して下さい"
 									if(!GetFilePathDialog(hwnd,temporary,BitmapFileFilter,STRING_IMAGEBOXPROP_GETPATH_BITMAP,1)) return 1;
@@ -3023,5 +3055,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -3296,5 +3331,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -3571,5 +3609,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -3655,5 +3696,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -3887,5 +3931,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -3971,5 +4018,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -4102,5 +4152,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -4254,5 +4307,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -4465,5 +4521,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
@@ -4640,5 +4699,8 @@
 
 					case IDC_EXSTYLE:
-						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_EXSTYLE),hwnd,DlgRadProperty_Item_ExStyle)) return 1;
+						if (!ActiveBasic::Resource::DialogBoxAlt(hResInst, IDD_RAD_PROP_ITEM_EXSTYLE, hwnd, DlgRadProperty_Item_ExStyle))
+						{
+							return 1;
+						}
 						DrawRadWindow(i,pWindowInfo);
 						return 1;
